Skip to content

Create Program

POST /rest/asset/v1/programs.json

Permissions Read-Write Assets

Build a request and mock the response

Method: POST
Path: /rest/asset/v1/programs.json
Tag: Programs
Operation ID: createProgramUsingPOST

Creates a new program. Required Permissions: Read-Write Assets

Formats

  • Request: application/x-www-form-urlencoded
  • Response: application/json

Request

Request body

Name: createProgramRequest
Required: Yes
Schema: model: CreateProgramRequest

createProgramRequest

Generated example

{
  "channel": "string",
  "costs": [
    {
      "cost": 123,
      "note": "string",
      "startDate": "2026-01-15T10:30:00Z"
    }
  ],
  "description": "string",
  "folder": {
    "id": 123,
    "type": "Folder"
  },
  "name": "Example name",
  "tags": [
    {
      "tagType": "string",
      "tagValue": "string"
    }
  ],
  "type": "string"
}

Referenced models

Example request

POST {{base_url}}/rest/asset/v1/programs.json
Content-Type: application/x-www-form-urlencoded
Accept: application/json

{
  "channel": "string",
  "costs": [
    {
      "cost": 123,
      "note": "string",
      "startDate": "2026-01-15T10:30:00Z"
    }
  ],
  "description": "string",
  "folder": {
    "id": 123,
    "type": "Folder"
  },
  "name": "Example name",
  "tags": [
    {
      "tagType": "string",
      "tagValue": "string"
    }
  ],
  "type": "string"
}

Responses

200 — OK

Schema: model: ResponseOfProgramResponse

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "channel": "string",
      "costs": [
        {
          "cost": 123,
          "note": "string",
          "startDate": "2026-01-15T10:30:00Z"
        }
      ],
      "createdAt": "2026-01-15T10:30:00Z",
      "description": "string",
      "endDate": "2026-01-15T10:30:00Z",
      "folder": {
        "id": 123,
        "type": "Folder"
      },
      "id": 123,
      "name": "Example name",
      "sfdcId": "123",
      "sfdcName": "Example name",
      "startDate": "2026-01-15T10:30:00Z",
      "status": "locked",
      "tags": [
        {
          "tagType": "string",
          "tagValue": "string"
        }
      ],
      "type": "default",
      "updatedAt": "2026-01-15T10:30:00Z",
      "url": "https://example.com",
      "workspace": "string"
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Source

Generated from swagger-asset.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.